using FluentValidation;

namespace Indotalent.Features.Purchase.PurchaseReturn.Cqrs;

public class UpdatePurchaseReturnValidator : AbstractValidator<UpdatePurchaseReturnRequest>
{
    public UpdatePurchaseReturnValidator()
    {
        RuleFor(x => x.Id).NotEmpty();
        RuleFor(x => x.GoodsReceiveId).NotEmpty().WithMessage("Goods Receive reference is required");
    }
}